summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Masłowski <mtjm@mtjm.eu>2012-04-15 20:53:05 +0200
committerMichał Masłowski <mtjm@mtjm.eu>2012-04-15 20:53:05 +0200
commitfa3fb08b58f31f70b23250a098f2841903bec1aa (patch)
tree8f1f13a70407f97890b78027b8168bac5239e389
parent6f04e6edcc33d23d6a0af68a7d3e5b015b1ff412 (diff)
Add xulrunner-libre using IceWeasel's source.
Many changes are based on iceweasel-libre and icedove-libre PKGBUILDs and source files.
-rw-r--r--libre/xulrunner-libre/PKGBUILD99
-rw-r--r--libre/xulrunner-libre/gcc47.patch44
-rw-r--r--libre/xulrunner-libre/mozconfig34
-rw-r--r--libre/xulrunner-libre/mozilla-pkgconfig.patch40
4 files changed, 217 insertions, 0 deletions
diff --git a/libre/xulrunner-libre/PKGBUILD b/libre/xulrunner-libre/PKGBUILD
new file mode 100644
index 000000000..4d39c9116
--- /dev/null
+++ b/libre/xulrunner-libre/PKGBUILD
@@ -0,0 +1,99 @@
+# $Id: PKGBUILD 153514 2012-03-15 13:26:26Z ibiru $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+# Contributor: Alexander Baldeck <alexander@archlinux.org>
+
+# With many changes from iceweasel-libre.
+
+# We're getting this from Debian Sid
+_debname=iceweasel
+_debver=11.0
+_debrel=2
+_debrepo=http://ftp.debian.org/debian/pool/main/
+debfile() { echo $@|sed -r 's@(.).*@\1/&/&@'; }
+
+_pkgname=xulrunner
+pkgname=xulrunner-libre
+pkgver=${_debver}.${_debrel}
+pkgrel=1
+pkgdesc="Mozilla Runtime Environment"
+arch=('i686' 'x86_64' 'mips64el')
+license=('MPL' 'GPL' 'LGPL')
+depends=('gtk2' 'mozilla-common' 'nss>=3.13.1' 'libxt' 'libxrender' 'hunspell' 'startup-notification' 'mime-types' 'dbus-glib' 'alsa-lib' 'libevent' 'sqlite3>=3.7.4' 'libnotify' 'libvpx' 'python2')
+makedepends=('zip' 'unzip' 'pkg-config' 'diffutils' 'wireless_tools' 'yasm' 'mesa' 'autoconf2.13' 'quilt')
+url="http://wiki.mozilla.org/XUL:Xul_Runner"
+source=("${_debrepo}/`debfile ${_debname}`_${_debver}.orig.tar.bz2"
+ "${_debrepo}/`debfile ${_debname}`_${_debver}-${_debrel}.debian.tar.gz"
+ "${_debrepo}/`debfile ${_debname}`_${_debver}-${_debrel}.dsc"
+ mozconfig
+ mozilla-pkgconfig.patch
+ gcc47.patch)
+options=('!emptydirs')
+conflicts=('xulrunner')
+provides=("xulrunner=${_debver}")
+replaces=('xulrunner-oss' 'xulrunner')
+md5sums=('01d9d18909ca9fff2483d8fd779a0f89'
+ '59349da94b095fe0623d09ce75696766'
+ 'f407208a750cdc9bea3a6a3a3e42dd89'
+ '6277c508cf24a78c596decae2e568997'
+ '27271ce647a83906ef7a24605e840d61'
+ 'aeaf587f7a962ebcc81515e1f1706cd1')
+
+dpkg-source() {
+ # This will simulate dpkg-source -x ${_debname}_${_debver}-${_debrel}.dsc
+ export QUILT_PATCHES=debian/patches
+ export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
+ export QUILT_DIFF_ARGS='--no-timestamps'
+ mv mozilla-release "${_debname}-${_debver}"
+ mv debian "${_debname}-${_debver}"
+ cd "${_debname}-${_debver}"
+
+# Doesn't apply and seems unimportant
+ rm -v debian/patches/l10n/Place-google-and-gmail-before-yandex.patch || true
+
+ quilt push -a
+ find .pc -name .timestamp -delete # why isn't "--no-timestamps" doing this?
+ cd ..
+}
+
+build() {
+# Don't run this if we're using -e
+if [ $NOEXTRACT -eq 0 ]; then
+ msg2 "Applying Debian patches..."
+ cd "${srcdir}"
+ dpkg-source -x ${_debname}_${_debver}-${_debrel}.dsc
+
+ msg2 "Starting normal build..."
+ mv "${_debname}-${_debver}" "$srcdir/mozilla-release"
+ cd "$srcdir/mozilla-release"
+
+ cp "$srcdir/mozconfig" .mozconfig
+
+ #fix libdir/sdkdir - fedora
+ patch -Np1 -i "$srcdir/mozilla-pkgconfig.patch"
+ patch -Np1 -i "$srcdir/gcc47.patch"
+fi
+
+ export LDFLAGS="$LDFLAGS -Wl,-rpath,/usr/lib/xulrunner-${_debver}"
+ export PYTHON="/usr/bin/python2"
+
+ make -j1 -f client.mk build MOZ_MAKE_FLAGS="$MAKEFLAGS"
+}
+
+package() {
+ cd "$srcdir/mozilla-release"
+ make -j1 -f client.mk DESTDIR="$pkgdir" install
+
+ rm -rf "$pkgdir"/usr/lib/xulrunner-$pkgver/{dictionaries,hyphenation}
+ ln -sf /usr/share/hunspell "$pkgdir/usr/lib/xulrunner-${_debver}/dictionaries"
+ ln -sf /usr/share/hyphen "$pkgdir/usr/lib/xulrunner-${_debver}/hyphenation"
+
+ # add xulrunner library path to ld.so.conf
+ install -d $pkgdir/etc/ld.so.conf.d
+ echo "/usr/lib/xulrunner-${_debver}" > $pkgdir/etc/ld.so.conf.d/xulrunner.conf
+
+ chmod +x "${pkgdir}/usr/lib/xulrunner-devel-${_debver}/sdk/bin/xpt.py"
+ sed -i 's|!/usr/bin/env python|!/usr/bin/env python2|' "$pkgdir/usr/lib/xulrunner-devel-${_debver}/sdk/bin/xpt.py"
+ sed -i 's|!/usr/bin/env python|!/usr/bin/env python2|' "$pkgdir/usr/lib/xulrunner-devel-${_debver}/sdk/bin/header.py"
+ sed -i 's|!/usr/bin/env python|!/usr/bin/env python2|' "$pkgdir/usr/lib/xulrunner-devel-${_debver}/sdk/bin/typelib.py"
+ sed -i 's|!/usr/bin/env python|!/usr/bin/env python2|' "$pkgdir/usr/lib/xulrunner-devel-${_debver}/sdk/bin/xpidl.py"
+}
diff --git a/libre/xulrunner-libre/gcc47.patch b/libre/xulrunner-libre/gcc47.patch
new file mode 100644
index 000000000..5bdd36c6f
--- /dev/null
+++ b/libre/xulrunner-libre/gcc47.patch
@@ -0,0 +1,44 @@
+--- mozilla-release.orig/ipc/chromium/src/base/file_util.cc 2012-03-06 14:26:03.000000000 -0200
++++ mozilla-release/ipc/chromium/src/base/file_util.cc 2012-04-04 18:50:02.094431651 -0300
+@@ -8,7 +8,7 @@
+ #include <io.h>
+ #endif
+ #include <stdio.h>
+-#if defined(ANDROID)
++#if defined(ANDROID) || defined(OS_POSIX)
+ #include <unistd.h>
+ #endif
+
+--- mozilla-release.orig/ipc/chromium/src/base/message_pump_libevent.cc 2012-03-06 14:26:03.000000000 -0200
++++ mozilla-release/ipc/chromium/src/base/message_pump_libevent.cc 2012-04-04 19:55:24.140455837 -0300
+@@ -6,6 +6,7 @@
+
+ #include <errno.h>
+ #include <fcntl.h>
++#include <unistd.h>
+
+ #include "eintr_wrapper.h"
+ #include "base/logging.h"
+
+--- mozilla-release.orig/ipc/chromium/src/base/file_util_linux.cc 2012-03-06 14:26:03.000000000 -0200
++++ mozilla-release/ipc/chromium/src/base/file_util_linux.cc 2012-04-04 20:49:49.756138306 -0300
+@@ -5,6 +5,7 @@
+ #include "base/file_util.h"
+
+ #include <fcntl.h>
++#include <unistd.h>
+
+ #include <string>
+ #include <vector>
+
+--- mozilla-release.orig/ipc/chromium/src/base/time_posix.cc 2012-03-06 14:26:03.000000000 -0200
++++ mozilla-release/ipc/chromium/src/base/time_posix.cc 2012-04-04 20:55:12.678037291 -0300
+@@ -8,6 +8,7 @@
+ #include <mach/mach_time.h>
+ #endif
+ #include <sys/time.h>
++#include <unistd.h>
+ #ifdef ANDROID
+ #include <time64.h>
+ #else
+
diff --git a/libre/xulrunner-libre/mozconfig b/libre/xulrunner-libre/mozconfig
new file mode 100644
index 000000000..d6cc06648
--- /dev/null
+++ b/libre/xulrunner-libre/mozconfig
@@ -0,0 +1,34 @@
+. $topsrcdir/xulrunner/config/mozconfig
+
+ac_add_options --prefix=/usr
+ac_add_options --libdir=/usr/lib
+
+# System libraries
+ac_add_options --with-system-nspr
+ac_add_options --with-system-nss
+ac_add_options --with-system-jpeg
+ac_add_options --with-system-zlib
+ac_add_options --with-system-bz2
+ac_add_options --with-system-png
+ac_add_options --with-system-libevent
+ac_add_options --with-system-libvpx
+ac_add_options --enable-system-hunspell
+ac_add_options --enable-system-sqlite
+ac_add_options --enable-system-ffi
+ac_add_options --enable-system-cairo
+ac_add_options --enable-system-pixman
+ac_add_options --with-pthreads
+
+# Features
+ac_add_options --enable-startup-notification
+ac_add_options --enable-gio
+
+ac_add_options --disable-gnomevfs
+ac_add_options --disable-crashreporter
+ac_add_options --disable-updater
+ac_add_options --disable-tests
+ac_add_options --disable-mochitest
+ac_add_options --disable-installer
+
+# Optimization
+ac_add_options --enable-optimize
diff --git a/libre/xulrunner-libre/mozilla-pkgconfig.patch b/libre/xulrunner-libre/mozilla-pkgconfig.patch
new file mode 100644
index 000000000..037d4aee0
--- /dev/null
+++ b/libre/xulrunner-libre/mozilla-pkgconfig.patch
@@ -0,0 +1,40 @@
+diff -Nur mozilla-release.orig/xulrunner/installer/libxul-embedding.pc.in mozilla-release/xulrunner/installer/libxul-embedding.pc.in
+--- mozilla-release.orig/xulrunner/installer/libxul-embedding.pc.in 2011-12-19 22:11:38.100005674 +0000
++++ mozilla-release/xulrunner/installer/libxul-embedding.pc.in 2011-12-19 22:14:35.095147521 +0000
+@@ -6,5 +6,6 @@
+ Name: libxul-embedding
+ Description: Static library for version-independent embedding of the Mozilla runtime
+ Version: %MOZILLA_VERSION%
++Requires: %NSPR_NAME% >= %NSPR_VERSION%
+ Libs: -L${sdkdir}/lib -lxpcomglue -ldl
+ Cflags: -DXPCOM_GLUE -I${includedir} %WCHAR_CFLAGS%
+diff -Nur mozilla-release.orig/xulrunner/installer/libxul.pc.in mozilla-release/xulrunner/installer/libxul.pc.in
+--- mozilla-release.orig/xulrunner/installer/libxul.pc.in 2011-12-19 22:11:38.126672110 +0000
++++ mozilla-release/xulrunner/installer/libxul.pc.in 2011-12-19 22:14:04.375412141 +0000
+@@ -1,5 +1,6 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
++libdir=%libdir%
+ includedir=%includedir%
+ idldir=%idldir%
+
+diff -Nur mozilla-release.orig/xulrunner/installer/Makefile.in mozilla-release/xulrunner/installer/Makefile.in
+--- mozilla-release.orig/xulrunner/installer/Makefile.in 2011-12-19 22:11:38.126672110 +0000
++++ mozilla-release/xulrunner/installer/Makefile.in 2011-12-19 22:18:28.743135321 +0000
+@@ -108,6 +108,7 @@
+ -e "s|%includedir%|$(includedir)|" \
+ -e "s|%idldir%|$(idldir)|" \
+ -e "s|%sdkdir%|$(sdkdir)|" \
++ -e "s|%libdir%|$(installdir)|" \
+ -e "s|%MOZ_APP_NAME%|$(MOZ_APP_NAME)|" \
+ -e "s|%MOZILLA_VERSION%|$(MOZ_APP_VERSION)|" \
+ -e "s|%WCHAR_CFLAGS%|$(WCHAR_CFLAGS)|" \
+diff -Nur mozilla-release.orig/xulrunner/installer/mozilla-js.pc.in mozilla-release/xulrunner/installer/mozilla-js.pc.in
+--- mozilla-release.orig/xulrunner/installer/mozilla-js.pc.in 2011-12-19 22:11:38.126672110 +0000
++++ mozilla-release/xulrunner/installer/mozilla-js.pc.in 2011-12-19 22:18:55.569571004 +0000
+@@ -7,4 +7,4 @@
+ Version: %MOZILLA_VERSION%
+ Requires: %NSPR_NAME% >= %NSPR_VERSION%
+ Libs: -L${sdkdir}/lib %MOZ_JS_LINK%
+-Cflags: -I${includedir} -DXP_UNIX -DJS_THREADSAFE
++Cflags: -I${includedir} -I${includedir}/js -DXP_UNIX -DJS_THREADSAFE